#!/usr/bin/env python

"Start the demonstration program."

import os, sys

# Find out where WebStack's distribution directory is.

cwd = os.getcwd()
parts = os.path.split(cwd)
if parts[-1] == "tools":
    parts = parts[:-1]
base = os.path.join(*parts)

# Set up the environment and run the demo program.

pythonpath = os.environ.get("PYTHONPATH")
if pythonpath:
    pythonpath = pythonpath + os.pathsep
else:
    pythonpath = ""

os.environ["PYTHONPATH"] = "%s%s%s%s" % (pythonpath, base, os.pathsep, os.path.join(base, "examples", "Common"))
os.system("%s %s %s" % (sys.executable, os.path.join(base, "examples", "BaseHTTPRequestHandler", "DemoApp.py"),
    " ".join(sys.argv[1:])))

# vim: tabstop=4 expandtab shiftwidth=4
